跳转到内容

LongCat Video · Text to Video · 720p

集成

模型 id longcat-video/text-to-video/720p
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/longcat-video/text-to-video/720p?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.216 216 API 积分 · ≈ ₽23.18 运行前会测量你的文件 在此页面运行

获取 API 密钥
Meituan · 视频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

指导视频生成的提示词。

aspect_ratio 默认 16:9

输出视频的宽高比。

默认 162

生成输出的帧数。

高级 negative_prompt · video_output_type · video_quality · video_write_mode · acceleration · num_inference_steps · num_refine_inference_steps · guidance_scale · fps · seed · enable_prompt_expansion · enable_safety_checker
默认 Bright tones, overexp...

生成视频时使用的负面提示词。

video_output_type 默认 X264 (.mp4)

结果视频的输出类型。

video_quality 默认 high

结果视频的质量级别。

video_write_mode 默认 balanced

结果视频的写入模式。

acceleration 默认 regular

视频生成期间应用的加速级别。

默认 40

视频生成期间执行的推理步数。

默认 40

优化期间执行的推理步数。

默认 4

生成视频时应用的引导比例。

默认 30

输出视频的帧率。

用于初始化随机数生成的种子值。

POST /run/longcat-video/text-to-video/720p?wait=20 报价 → $0.216
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/longcat-video/text-to-video/720p?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 LongCat Video · Text to Video · 720p

根据提示词创建视频,并通过 `num_refine_inference_steps`(8 到 50)设置细化阶段。`aspect_ratio` 为 16:9、9:16 或 1:1,`num_frames` 范围为 17 到 961(默认 162),默认帧率为 30 fps。还接受负面提示词和 1 到 10 的 `guidance_scale`。输出可以是 mp4、webm、ProRes MOV 或 GIF。

参数

名称类型 默认值允许值 描述
prompt必填
类型string
指导视频生成的提示词。
negative_prompt可选
类型string
默认值Bright tones, overexposed, static, blurred details, subtitles, style, works, paintings, images, static, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, misshapen limbs, fused fingers, still picture, messy background, three legs, many people in the background, walking backwards
生成视频时使用的负面提示词。
num_frames可选
类型integer
默认值162
17 – 961
生成输出的帧数。
num_inference_steps可选
类型integer
默认值40
8 – 50
视频生成期间执行的推理步数。
num_refine_inference_steps可选
类型integer
默认值40
8 – 50
优化期间执行的推理步数。
guidance_scale可选
类型number
默认值4
1 – 10
生成视频时应用的引导比例。
aspect_ratio可选
类型enum
默认值16:9
16:99:161:1
输出视频的宽高比。
fps可选
类型integer
默认值30
1 – 60
输出视频的帧率。
seed可选
类型integer | null
用于初始化随机数生成的种子值。
enable_prompt_expansion可选
类型boolean
默认值false
控制是否启用提示词扩展。
enable_safety_checker可选
类型boolean
默认值true
受账户权限限制的安全检查开关:未授权请求必须进行检查,禁用检查需要授权。
video_output_type可选
类型enum
默认值X264 (.mp4)
X264 (.mp4)VP9 (.webm)PRORES4444 (.mov)GIF (.gif)
结果视频的输出类型。
video_quality可选
类型enum
默认值high
lowmediumhighmaximum
结果视频的质量级别。
video_write_mode可选
类型enum
默认值balanced
fastbalancedsmall
结果视频的写入模式。
acceleration可选
类型enum
默认值regular
noneregular
视频生成期间应用的加速级别。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "longcat-video/text-to-video/720p",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 216,
    "usd": "0.216",
    "charged": 216,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "prompt": "realistic filming style, a person wearing a dark helmet, a deep-colored jacket, blue jeans, and bright yellow shoes rides a skateboard along a winding mountain road. The skateboarder starts in a standing position, then gradually lowers into a crouch, extending one hand to touch the road surface while maintaining a low center of gravity to navigate a sharp curve. After completing the turn, the skateboarder rises back to a standing position and continues gliding forward. The background features lush green hills flanking both sides of the road, with distant snow-capped mountain peaks rising against a clear, bright blue sky. The camera follows closely from behind, smoothly tracking the skateboarder’s movements and capturing the dynamic scenery along the route. The scene is shot in natural daylight, highlighting the vivid outdoor environment and the skateboarder’s fluid actions.",
    "seed": 42,
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
prompt
string用于生成输出的提示词。
seed
integer生成期间应用的种子值。
video
object {url, content_type, file_name, file_size}生成得到的视频文件。

更多模型:文生视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/longcat-video/text-to-video/720p.md. 所有模型和指南: https://doitong.com/developers/llms.txt